/*
 *  OpenVPN-GUI -- A Windows GUI for OpenVPN.
 *
 *  Copyright (C) 2004 Mathias Sundman <mathias@nilings.se>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program (see the file COPYING included with this
 *  distribution); if not, write to the Free Software Foundation, Inc.,
 *  59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#define WM_NOTIFYICONTRAY (WM_APP + 1)

#define MSG_TIP 			"OpenVPN GUI"

//Popup Menu items
#define IDM_TEXT_CONNECT 		"Connect"
#define IDM_TEXT_DISCONNECT		"Disconnect"
#define IDM_TEXT_STATUS			"Show Status"
#define IDM_TEXT_VIEWLOG		"View Log"
#define IDM_TEXT_EDITCONFIG		"Edit Config"
#define IDM_TEXT_PASSPHRASE		"Change Password"
#define IDM_TEXT_SERVICE   		"OpenVPN Service"

#define IDM_CLOSE			221						
#define IDM_TEXT_CLOSE			"Exit"

#define IDM_ABOUT			222
#define IDM_TEXT_ABOUT			"About"

#define IDM_CONNECTMENU			300
#define IDM_DISCONNECTMENU		400
#define IDM_STATUSMENU			500
#define IDM_VIEWLOGMENU			600
#define IDM_EDITMENU			700
#define IDM_PASSPHRASEMENU		800

/* Service submenu */
#define IDM_SERVICEMENU			900
#define IDM_TEXT_SERVICE_START		"Start"
#define IDM_SERVICE_START		901
#define IDM_TEXT_SERVICE_STOP		"Stop"
#define IDM_SERVICE_STOP		902
#define IDM_TEXT_SERVICE_RESTART	"Restart"
#define IDM_SERVICE_RESTART		903


void  TRAY_Init(HWND hwnd);			//Create tray and its popup menu 
void  OnNotifyTray(LPARAM lParam);		//Tray message (mouse clicks on tray icon)
void  OnDestroyTray(void);			//WM_DESTROY message 
void  ShowTrayIcon();				//Put app icon in systray
void  SetTrayIcon(int connected);		//Change systray icon
BOOL  LoadAppIcon();                            //Application icon
void  CreateItemList(HMENU hMenu);              //Crate Popup menu
void  SetMenuStatus (int config, int bCheck);   //Mark connection as connected/disconnected
void  SetServiceMenu (BOOL bCheck);		//Enable/Disable Service Start/Stop/Restart
void  SetServiceMenuDisabled ();		//Diabled Service menu items.
